Bug 907677 - Review Request: gtatool - Commandline tool to manipulate GTAs
Summary: Review Request: gtatool - Commandline tool to manipulate GTAs
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mario Ceresa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-04 23:56 UTC by Volker Fröhlich
Modified: 2013-05-05 03:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-27 03:16:35 UTC
mrceresa: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Volker Fröhlich 2013-02-04 23:56:05 UTC
Spec URL: http://www.geofrogger.net/review/gtatool.spec
SRPM URL: http://www.geofrogger.net/review/gtatool-1.5.0-1.fc16.src.rpm
Description:

Gtatool is a command line tool to manipulate GTAs.

It provides a set of commands that manipulate GTAs on various levels:
array element components, array dimensions, whole arrays, and streams of arrays.
For example, you can add components to array elements, merge separate arrays
into combined arrays in different ways, apply global transformations to array
data, reorder the array data, and much more.

Additionally, gtatool can import from and export to many other file formats, see
the sub-packages!


Fedora Account System Username: volter

Comment 1 Mario Ceresa 2013-02-07 08:52:49 UTC
I'll review it!

Mario

Comment 3 Mario Ceresa 2013-02-12 19:27:50 UTC
Hello Volker!

rpmbuild fails with:

RPM build errors:
error: File not found: /builddir/build/BUILDROOT/gtatool-1.5.1-1.fc17.x86_64/usr/lib64/gtatool/conv-pcd.so
    File not found: /builddir/build/BUILDROOT/gtatool-1.5.1-1.fc17.x86_64/usr/lib64/gtatool/conv-pcd.so

please fix that and I'll continue the review

In addition, libraries seems to be missing proper soname. Is that intentional?

Best,
Mario

Comment 4 Volker Fröhlich 2013-02-13 09:26:45 UTC
Thank you for noticing!

PCL in F17 is too old. It requires 1.6. I'll make that sub-package conditional for F17. The package should build fine for F18 and Rawhide though, so you could continue.

The libraries are only private, therefore no versioning. Their existence allows for splitting into sub-packages.

Comment 5 Volker Fröhlich 2013-02-13 22:14:34 UTC
http://www.geofrogger.net/review/gtatool.spec
http://www.geofrogger.net/review/gtatool-1.5.1-2.fc17.src.rpm

* Wed Feb 13 2013 Volker Fröhlich <volker27@gmx.at> 1.5.1-2
- pcd sub-package conditional for F17, due to version constraint in pcl

Comment 6 Mario Ceresa 2013-03-04 15:33:28 UTC
Hi Volker! sorry for the late response:


Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
[!]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: gcc-c++
See: http://fedoraproject.org/wiki/Packaging/Guidelines#Exceptions_2


===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.
     Note: Unversioned so-files in private %_libdir subdirectory (see
     attachment). Verify they are not in ld path.
---> The unversioned .so files are plugins

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[!]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: These BR are not needed: gcc-c++
[!]: Package contains no bundled libraries.

----> src/conv-ply Uses code from Greg Turk 1994. We already have a ply aware library in fedora which is called rply (I maintain it because it is a dep for VXL too). Do you think there is a possibility to use that?

----> conv-pvm uses files from vvv


[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install if there is
     such a file.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in %package
     gui, %package matlab, %package netcdf, %package hdr, %package
     imagemagick, %package pcd, %package sndfile, %package dcmtk, %package
     gdal
----> The spec file is correct.

[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later)", "GPL (v3 or later)", "Unknown or generated". 3 files
     have unknown license. Detailed output of licensecheck in
     /home/mario/907677-gtatool/licensecheck.txt

----> In src/conv-ply/ ply.h and plyfile.cpp use the code from Greg Turk 1994. See bundled libraries section above

[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 3 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[ ]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: Package functions as described.
[ ]: Latest version is packaged.
[ ]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[ ]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: Package should compile and build into binary rpms on all supported
     architectures.
[ ]: %check is present and all tests pass.
[ ]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.


Rpmlint
-------
Checking: gtatool-1.5.1-2.fc18.src.rpm
          gtatool-1.5.1-2.fc18.x86_64.rpm
          gtatool-debuginfo-1.5.1-2.fc18.x86_64.rpm
          gtatool-sndfile-1.5.1-2.fc18.x86_64.rpm
          gtatool-gdal-1.5.1-2.fc18.x86_64.rpm
          gtatool-dcmtk-1.5.1-2.fc18.x86_64.rpm
          gtatool-gui-1.5.1-2.fc18.x86_64.rpm
          gtatool-matlab-1.5.1-2.fc18.x86_64.rpm
          gtatool-pcd-1.5.1-2.fc18.x86_64.rpm
          gtatool-hdr-1.5.1-2.fc18.x86_64.rpm
          gtatool-imagemagick-1.5.1-2.fc18.x86_64.rpm
          gtatool-netcdf-1.5.1-2.fc18.x86_64.rpm
gtatool.src: W: spelling-error Summary(en_US) Commandline -> Command line, Command-line, Commandment
gtatool.src:13: W: macro-in-comment %{name}
gtatool.src:143: W: macro-in-comment %patch1
gtatool.x86_64: W: spelling-error Summary(en_US) Commandline -> Command line, Command-line, Commandment
gtatool.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/gta-completion.bash
gtatool-sndfile.x86_64: W: spelling-error %description -l en_US libsndfile -> landfill
gtatool-sndfile.x86_64: W: no-documentation
gtatool-gdal.x86_64: W: no-documentation
gtatool-dcmtk.x86_64: W: no-documentation
gtatool-gui.x86_64: W: no-documentation
gtatool-matlab.x86_64: W: spelling-error %description -l en_US matio -> macho, ratio, patio
gtatool-matlab.x86_64: W: no-documentation
gtatool-pcd.x86_64: W: spelling-error %description -l en_US pcl -> cpl, pl, cl
gtatool-pcd.x86_64: W: no-documentation
gtatool-hdr.x86_64: W: spelling-error %description -l en_US pfstools -> pf stools, pf-stools, footstools
gtatool-hdr.x86_64: W: no-documentation
gtatool-imagemagick.x86_64: W: no-documentation
gtatool-netcdf.x86_64: W: no-documentation
12 packages and 0 specfiles checked; 0 errors, 18 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gtatool-matlab gtatool-dcmtk gtatool-hdr gtatool-debuginfo gtatool-gdal gtatool gtatool-pcd gtatool-netcdf gtatool-imagemagick gtatool-gui gtatool-sndfile
gtatool-matlab.x86_64: W: spelling-error %description -l en_US matio -> macho, ratio, patio
gtatool-matlab.x86_64: W: no-documentation
gtatool-dcmtk.x86_64: W: no-documentation
gtatool-hdr.x86_64: W: spelling-error %description -l en_US pfstools -> pf stools, pf-stools, footstools
gtatool-hdr.x86_64: W: no-documentation
gtatool-gdal.x86_64: W: no-documentation
gtatool.x86_64: W: spelling-error Summary(en_US) Commandline -> Command line, Command-line, Commandment
gtatool.x86_64: W: non-conffile-in-etc /etc/bash_completion.d/gta-completion.bash
gtatool-pcd.x86_64: W: spelling-error %description -l en_US pcl -> cpl, pl, cl
gtatool-pcd.x86_64: W: no-documentation
gtatool-netcdf.x86_64: W: no-documentation
gtatool-imagemagick.x86_64: W: no-documentation
gtatool-gui.x86_64: W: no-documentation
gtatool-sndfile.x86_64: W: spelling-error %description -l en_US libsndfile -> landfill
gtatool-sndfile.x86_64: W: no-documentation
11 packages and 0 specfiles checked; 0 errors, 15 warnings.
# echo 'rpmlint-done:'



Requires
--------
gtatool-1.5.1-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    info
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgta.so.0()(64bit)
    libjpeg.so.62()(64bit)
    libjpeg.so.62(LIBJPEG_6.2)(64bit)
    libm.so.6()(64bit)
    libmuparser.so.2()(64bit)
    libnetpbm.so.11()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

gtatool-debuginfo-1.5.1-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    

gtatool-sndfile-1.5.1-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gtatool(x86-64) = 1.5.1-2.fc18
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libsndfile.so.1()(64bit)
    libsndfile.so.1(libsndfile.so.1.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

gtatool-gdal-1.5.1-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gtatool(x86-64) = 1.5.1-2.fc18
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libgdal.so.1()(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

gtatool-dcmtk-1.5.1-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gtatool(x86-64) = 1.5.1-2.fc18
    libc.so.6()(64bit)
    libdcmdata.so.3.6()(64bit)
    libdcmimgle.so.3.6()(64bit)
    libdcmjpeg.so.3.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libijg12.so.3.6()(64bit)
    libijg16.so.3.6()(64bit)
    libijg8.so.3.6()(64bit)
    libm.so.6()(64bit)
    liboflog.so.3.6()(64bit)
    libofstd.so.3.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

gtatool-gui-1.5.1-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh
    gtatool(x86-64) = 1.5.1-2.fc18
    libQtCore.so.4()(64bit)
    libQtGui.so.4()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

gtatool-matlab-1.5.1-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gtatool(x86-64) = 1.5.1-2.fc18
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libhdf5.so.7()(64bit)
    libm.so.6()(64bit)
    libmatio.so.2()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libz.so.1()(64bit)
    rtld(GNU_HASH)

gtatool-pcd-1.5.1-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gtatool(x86-64) = 1.5.1-2.fc18
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpcl_common.so.1.6()(64bit)
    libpcl_io.so.1.6()(64bit)
    libpcl_octree.so.1.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

gtatool-hdr-1.5.1-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gtatool(x86-64) = 1.5.1-2.fc18
    libHalf.so.6()(64bit)
    libIex.so.6()(64bit)
    libIexMath.so.6()(64bit)
    libIlmImf.so.6()(64bit)
    libIlmThread.so.6()(64bit)
    libImath.so.6()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpfs-1.2.so.0()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

gtatool-imagemagick-1.5.1-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gtatool(x86-64) = 1.5.1-2.fc18
    libMagick++.so.5()(64bit)
    libMagickCore.so.5()(64bit)
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)

gtatool-netcdf-1.5.1-2.fc18.x86_64.rpm (rpmlib, GLIBC filtered):
    
    gtatool(x86-64) = 1.5.1-2.fc18
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libnetcdf.so.7()(64bit)
    libpthread.so.0()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    rtld(GNU_HASH)



Provides
--------
gtatool-1.5.1-2.fc18.x86_64.rpm:
    
    component-compute.so()(64bit)
    conv-csv.so()(64bit)
    conv-datraw.so()(64bit)
    conv-jpeg.so()(64bit)
    conv-netpbm.so()(64bit)
    conv-ply.so()(64bit)
    conv-pvm.so()(64bit)
    conv-rat.so()(64bit)
    conv-raw.so()(64bit)
    gtatool = 1.5.1-2.fc18
    gtatool(x86-64) = 1.5.1-2.fc18

gtatool-debuginfo-1.5.1-2.fc18.x86_64.rpm:
    
    gtatool-debuginfo = 1.5.1-2.fc18
    gtatool-debuginfo(x86-64) = 1.5.1-2.fc18

gtatool-sndfile-1.5.1-2.fc18.x86_64.rpm:
    
    conv-sndfile.so()(64bit)
    gtatool-sndfile = 1.5.1-2.fc18
    gtatool-sndfile(x86-64) = 1.5.1-2.fc18

gtatool-gdal-1.5.1-2.fc18.x86_64.rpm:
    
    conv-gdal.so()(64bit)
    gtatool-gdal = 1.5.1-2.fc18
    gtatool-gdal(x86-64) = 1.5.1-2.fc18

gtatool-dcmtk-1.5.1-2.fc18.x86_64.rpm:
    
    conv-dcmtk.so()(64bit)
    gtatool-dcmtk = 1.5.1-2.fc18
    gtatool-dcmtk(x86-64) = 1.5.1-2.fc18

gtatool-gui-1.5.1-2.fc18.x86_64.rpm:
    
    gtatool-gui = 1.5.1-2.fc18
    gtatool-gui(x86-64) = 1.5.1-2.fc18
    gui.so()(64bit)

gtatool-matlab-1.5.1-2.fc18.x86_64.rpm:
    
    conv-mat.so()(64bit)
    gtatool-matlab = 1.5.1-2.fc18
    gtatool-matlab(x86-64) = 1.5.1-2.fc18

gtatool-pcd-1.5.1-2.fc18.x86_64.rpm:
    
    conv-pcd.so()(64bit)
    gtatool-pcd = 1.5.1-2.fc18
    gtatool-pcd(x86-64) = 1.5.1-2.fc18

gtatool-hdr-1.5.1-2.fc18.x86_64.rpm:
    
    conv-exr.so()(64bit)
    conv-pfs.so()(64bit)
    gtatool-hdr = 1.5.1-2.fc18
    gtatool-hdr(x86-64) = 1.5.1-2.fc18

gtatool-imagemagick-1.5.1-2.fc18.x86_64.rpm:
    
    conv-magick.so()(64bit)
    gtatool-imagemagick = 1.5.1-2.fc18
    gtatool-imagemagick(x86-64) = 1.5.1-2.fc18

gtatool-netcdf-1.5.1-2.fc18.x86_64.rpm:
    
    conv-netcdf.so()(64bit)
    gtatool-netcdf = 1.5.1-2.fc18
    gtatool-netcdf(x86-64) = 1.5.1-2.fc18



Unversioned so-files
--------------------
gtatool-gui-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/gui.so
gtatool-netcdf-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-netcdf.so
gtatool-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/component-compute.so
gtatool-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-csv.so
gtatool-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-datraw.so
gtatool-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-jpeg.so
gtatool-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-netpbm.so
gtatool-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-ply.so
gtatool-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-pvm.so
gtatool-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-rat.so
gtatool-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-raw.so
gtatool-matlab-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-mat.so
gtatool-sndfile-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-sndfile.so
gtatool-gdal-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-gdal.so
gtatool-dcmtk-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-dcmtk.so
gtatool-imagemagick-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-magick.so
gtatool-pcd-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-pcd.so
gtatool-hdr-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-exr.so
gtatool-hdr-1.5.1-2.fc18.x86_64.rpm: /usr/lib64/gtatool/conv-pfs.so

MD5-sum check
-------------
http://download.savannah.nongnu.org/releases/gta/gtatool-1.5.1.tar.xz :
  CHECKSUM(SHA256) this package     : 10a50f77b270d59efd222e9f91bd317d19761afe3fc8f457caaf971c212e534d
  CHECKSUM(SHA256) upstream package : 10a50f77b270d59efd222e9f91bd317d19761afe3fc8f457caaf971c212e534d


Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-18-x86_64
Command line :/bin/fedora-review -b 907677

Comment 7 Mario Ceresa 2013-03-04 15:40:04 UTC
Hi Volker,
Resuming, I have the following concerns:

[!] You bundle some files from ply and vvv. At least for ply we could use rply which is already in Fedora. I can help with a patch if you choose to use rply (I'd take the chance to show some love to the rply package, too), but have no idea as for vvv.

[!] Do you need the gcc-c++ BR?

[x] Okay for the unversioned libraries

For everything else, it seems to me an excellent package and a much needed one for fedora medical!

Mario

Comment 8 Volker Fröhlich 2013-03-30 20:03:31 UTC
I have disabled pvm and ply, as there's no quick solution it seems. I'll contact the author though. I also removed the mentioned BR and dealt with the bash-completion script as suggested on fedora-devel lately.

http://www.geofrogger.net/review/gtatool.spec
http://www.geofrogger.net/review/gtatool-1.5.1-3.fc16.src.rpm

Comment 9 Volker Fröhlich 2013-04-21 15:09:55 UTC
Just a reminder

Comment 10 Mario Ceresa 2013-04-21 20:52:25 UTC
Sorry Volker, I forgot about this review!

I see no more outstanding issues so the package is:

APPROVED

Comment 11 Volker Fröhlich 2013-04-21 21:23:27 UTC
New Package SCM Request
=======================
Package Name: gtatool
Short Description: Commandline tool to manipulate GTAs
Owners: volter
Branches: f18 f19
InitialCC:

Comment 12 Gwyn Ciesla 2013-04-22 13:22:24 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2013-04-22 21:24:30 UTC
gtatool-1.5.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gtatool-1.5.1-3.fc18

Comment 14 Fedora Update System 2013-04-22 21:24:41 UTC
gtatool-1.5.1-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gtatool-1.5.1-3.fc19

Comment 15 Fedora Update System 2013-04-23 03:03:06 UTC
gtatool-1.5.1-3.fc19 has been pushed to the Fedora 19 testing repository.

Comment 16 Fedora Update System 2013-04-27 03:16:37 UTC
gtatool-1.5.1-3.fc19 has been pushed to the Fedora 19 stable repository.

Comment 17 Fedora Update System 2013-04-30 15:34:26 UTC
gtatool-1.5.2-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/gtatool-1.5.2-1.fc18

Comment 18 Fedora Update System 2013-04-30 15:34:38 UTC
gtatool-1.5.2-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gtatool-1.5.2-1.fc19

Comment 19 Fedora Update System 2013-05-05 03:26:17 UTC
gtatool-1.5.2-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.